---
# tasks file for bind-sa-policy
- name: Bind service account to vault policy
  shell: "vault write auth/kubernetes/role/{{ rotation_name }} -address=\"http://{{ vault_service }}.{{ vault_namespace }}.svc.cluster.local:8200\" bound_service_account_names={{ service_account }} bound_service_account_namespaces={{ sa_namespace }} policies={{ rotation_name }} ttl=24h"
  